<template>
	<el-container class="mind-layout">
			<el-container v-show="showParent" >
				<el-header height="50px">
					<action-bar v-model:collapse="isCollapse">
						<slot name="toolbar-actions" />
					</action-bar>
				</el-header>
				<el-main class="view">
					<slot></slot>
				</el-main>
			</el-container>
			<slot name="child"></slot>
	</el-container>
</template>

<script>
import actionBar from './misc/action-bar'
import { computed } from 'vue'
import app from '../model/app'

export default {
	name: 'mind-view',
	setup(_, { slots }) {
		const hasChild = computed(() => {
			const slot = slots.child

			if(!slot) {
				return false
			}
			return !!slot
			});

    return {
      hasChild,
		};
	},
	components: {
		actionBar,
  },

	computed: {
		isCollapse:{
			get() {
				return app.isCollapse
			},
			set(v) {
				app.isCollapse = v
			}
		},
		showParent() {
			return !(this.hasChild && this.$route.matched.length > 1)
		}
	},
	data() {
		return {
			// hasChild: true
		}
	}
}
</script>

<style scoped>
.el-container {
	overflow-y: auto;
	height: calc(100%);
	padding: 0;
}

.el-header {
	padding: 0;
	/* width: 100%; */
}

	@media print {
		.view {
			position:fixed;
			background-color: white;
			top: 0;
			left: 0;
			z-index: 10000;
			height: 100%;
			width:100%;
			margin: 0;
			padding: 0;
			overflow: auto;
		}
	}


</style>
